Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90	(revision 5117)
@@ -1311,5 +1311,5 @@
         enddo !do i=1,n
 
-        if (iso_verif_aberrant_nostop_loc.eq.1) THEN
+        IF (iso_verif_aberrant_nostop_loc.EQ.1) THEN
           WRITE(*,*) 'erreur detectee par iso_verif_aberrant_vect2D:'
           WRITE(*,*) err_msg
@@ -1326,29 +1326,29 @@
                  xt,q,err_msg,ni,n,m)
 
-        use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
+        USE isotopes_mod, ONLY: ridicule,tnat,iso_HDO
           IMPLICIT NONE
 
           ! inputs   
-          integer n,m,ni
-          real q(n,m)
-          real xt(ni,n,m)
+          INTEGER n,m,ni
+          REAL q(n,m)
+          REAL xt(ni,n,m)
           character*(*) err_msg
 
         ! locals
-        integer iso_verif_aberrant_nostop_loc
-        integer i,j
-        integer ifaux,jfaux
+        INTEGER iso_verif_aberrant_nostop_loc
+        INTEGER i,j
+        INTEGER ifaux,jfaux
         !real deltaD
 
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
         iso_verif_aberrant_nostop_loc=0
         do i=1,n
          do j=1,m
-          if (q(i,j).gt.ridicule) THEN
-            if (((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
-                         .gt.deltalim).or. &
+          IF (q(i,j).gt.ridicule) THEN
+            IF (((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
+                         .gt.deltalim).OR. &
                 ((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
-                         .lt.deltaDmin).or. &
-                 (xt(iso_HDO,i,j).lt.-borne).or. &
+                         .lt.deltaDmin).OR. &
+                 (xt(iso_HDO,i,j).lt.-borne).OR. &
                  (xt(iso_HDO,i,j).gt.borne)) THEN
               iso_verif_aberrant_nostop_loc=1
@@ -1360,5 +1360,5 @@
         enddo !do i=1,n
 
-        if (iso_verif_aberrant_nostop_loc.eq.1) THEN
+        IF (iso_verif_aberrant_nostop_loc.EQ.1) THEN
           WRITE(*,*) 'erreur detectee par ', &
                  'iso_verif_aberrant_enc_vect2D:'
@@ -1378,26 +1378,26 @@
                  xt,q,err_msg,ni,n,m)
 
-        use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
+        USE isotopes_mod, ONLY: ridicule,tnat,iso_HDO
           IMPLICIT NONE
 
           ! inputs   
-          integer n,m,ni
-          real q(n,m)
-          real xt(ni,n,m)
+          INTEGER n,m,ni
+          REAL q(n,m)
+          REAL xt(ni,n,m)
           character*(*) err_msg
 
         ! locals
-        integer iso_verif_aberrant_nostop_loc
-        integer i,j
-        integer ifaux,jfaux
+        INTEGER iso_verif_aberrant_nostop_loc
+        INTEGER i,j
+        INTEGER ifaux,jfaux
         !real deltaD
 
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
         iso_verif_aberrant_nostop_loc=0
         do i=1,n
          do j=1,m
-          if (q(i,j).gt.ridicule) THEN
-            if (((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
-                         .gt.deltalim).or. &
+          IF (q(i,j).gt.ridicule) THEN
+            IF (((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
+                         .gt.deltalim).OR. &
                 ((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
                          .lt.deltaDmin)) THEN
@@ -1410,5 +1410,5 @@
         enddo !do i=1,n
 
-        if (iso_verif_aberrant_nostop_loc.eq.1) THEN
+        IF (iso_verif_aberrant_nostop_loc.EQ.1) THEN
           WRITE(*,*) 'erreur detectee par ', &
                  'iso_verif_aberrant_vect2D_ns:'
@@ -1427,28 +1427,28 @@
                  xt,q,err_msg,ni,n,m,deltaDmax)
 
-        use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
+        USE isotopes_mod, ONLY: ridicule,tnat,iso_HDO
           IMPLICIT NONE
 
 
           ! inputs   
-          integer n,m,ni
-          real q(n,m)
-          real xt(ni,n,m)
+          INTEGER n,m,ni
+          REAL q(n,m)
+          REAL xt(ni,n,m)
           character*(*) err_msg
-          real deltaDmax
-
-        ! locals
-        integer iso_verif_aberrant_nostop_loc
-        integer i,j
-        integer ifaux,jfaux
+          REAL deltaDmax
+
+        ! locals
+        INTEGER iso_verif_aberrant_nostop_loc
+        INTEGER i,j
+        INTEGER ifaux,jfaux
         !real deltaD
 
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
         iso_verif_aberrant_nostop_loc=0
         do i=1,n
          do j=1,m
-          if (q(i,j).gt.ridicule) THEN
-            if (((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
-                         .gt.deltaDmax).or. &
+          IF (q(i,j).gt.ridicule) THEN
+            IF (((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
+                         .gt.deltaDmax).OR. &
                 ((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
                          .lt.-borne)) THEN
@@ -1461,5 +1461,5 @@
         enddo !do i=1,n
 
-        if (iso_verif_aberrant_nostop_loc.eq.1) THEN
+        IF (iso_verif_aberrant_nostop_loc.EQ.1) THEN
           WRITE(*,*) 'erreur detectee par iso_verif_aberrant_vect2D:'
           WRITE(*,*) err_msg
@@ -1476,31 +1476,31 @@
                  xt,q,err_msg,ni,n,m)
 
-        use isotopes_mod, ONLY: ridicule,tnat,iso_HDO,iso_O18
+        USE isotopes_mod, ONLY: ridicule,tnat,iso_HDO,iso_O18
           IMPLICIT NONE
 
           ! inputs   
-          integer n,m,ni
-          real q(n,m)
-          real xt(ni,n,m)
+          INTEGER n,m,ni
+          REAL q(n,m)
+          REAL xt(ni,n,m)
           character*(*) err_msg
 
         ! locals
-        integer iso_verif_aberrant_nostop_loc
-        integer i,j
-        integer ifaux,jfaux
-        real deltaDloc,deltaoloc,dexcessloc
-
-        if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+        INTEGER iso_verif_aberrant_nostop_loc
+        INTEGER i,j
+        INTEGER ifaux,jfaux
+        REAL deltaDloc,deltaoloc,dexcessloc
+
+        IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
         iso_verif_aberrant_nostop_loc=0
         do i=1,n
          do j=1,m
-          if (q(i,j).gt.ridicule) THEN
+          IF (q(i,j).gt.ridicule) THEN
             deltaDloc=(xt(iso_HDO,i,j)/q(i,j)/tnat(iso_hdo)-1)*1000
             deltaoloc=(xt(iso_O18,i,j)/q(i,j)/tnat(iso_O18)-1)*1000
             dexcessloc=deltaDloc-8*deltaoloc
-            if ((deltaDloc.lt.deltaDmin).or.(deltaoloc.lt.deltaDmin/2.0).or. &
-              (deltaDloc.gt.deltalim).or.(deltaoloc.gt.deltalim/8.0).or. &
-              ((deltaDloc.gt.-500.0).and.((dexcessloc.lt.dexcess_min) &
-              .or.(dexcessloc.gt.dexcess_max)))) THEN
+            IF ((deltaDloc.lt.deltaDmin).OR.(deltaoloc.lt.deltaDmin/2.0).OR. &
+              (deltaDloc.gt.deltalim).OR.(deltaoloc.gt.deltalim/8.0).OR. &
+              ((deltaDloc.gt.-500.0).AND.((dexcessloc.lt.dexcess_min) &
+              .OR.(dexcessloc.gt.dexcess_max)))) THEN
               iso_verif_aberrant_nostop_loc=1
               ifaux=i
@@ -1512,5 +1512,5 @@
         enddo !do i=1,n
 
-        if (iso_verif_aberrant_nostop_loc.eq.1) THEN
+        IF (iso_verif_aberrant_nostop_loc.EQ.1) THEN
           WRITE(*,*) 'erreur detectee par ', &
                  'iso_verif_aberrant_enc_vect2D:'
@@ -1530,11 +1530,11 @@
 
         ! inputs
-        integer n1,n2,n3,n4
-        real var(n1,n2,n3,n4)
-        integer i1,i4
+        INTEGER n1,n2,n3,n4
+        REAL var(n1,n2,n3,n4)
+        INTEGER i1,i4
         ! outputs
-        real vec(n2,n3)
-        ! locals
-        integer i2,i3
+        REAL vec(n2,n3)
+        ! locals
+        INTEGER i2,i3
 
         do i2=1,n2
@@ -1553,11 +1553,11 @@
 
         ! inputs
-        integer ntime,nlev,nlat,nlon
-        real var(ntime,nlev,nlat,nlon)
-        integer itime,ilev,ilat
+        INTEGER ntime,nlev,nlat,nlon
+        REAL var(ntime,nlev,nlat,nlon)
+        INTEGER itime,ilev,ilat
         ! outputs
-        real vec(nlon)
-        ! locals
-        integer ilon
+        REAL vec(nlon)
+        ! locals
+        INTEGER ilon
 
         do ilon=1,nlon
@@ -1573,11 +1573,11 @@
 
         ! inputs
-        integer n1,n2,n3,n4,n5
-        real var(n1,n2,n3,n4,n5)
-        integer i1,i2,i3,i4
+        INTEGER n1,n2,n3,n4,n5
+        REAL var(n1,n2,n3,n4,n5)
+        INTEGER i1,i2,i3,i4
         ! outputs
-        real vec(n5)
-        ! locals
-        integer i5
+        REAL vec(n5)
+        ! locals
+        INTEGER i5
 
         do i5=1,n5
@@ -1593,11 +1593,11 @@
 
         ! inputs
-        integer ntime,nlat,nlon
-        real var(ntime,nlat,nlon)
-        integer itime,ilat
+        INTEGER ntime,nlat,nlon
+        REAL var(ntime,nlat,nlon)
+        INTEGER itime,ilat
         ! outputs
-        real vec(nlon)
-        ! locals
-        integer ilon
+        REAL vec(nlon)
+        ! locals
+        INTEGER ilon
 
         do ilon=1,nlon
@@ -1613,11 +1613,11 @@
 
         ! inputs
-        integer n1,n2,n3
-        real var(n1,n2,n3)
-        integer i1
+        INTEGER n1,n2,n3
+        REAL var(n1,n2,n3)
+        INTEGER i1
         ! outputs
-        real vec(n2,n3)
-        ! locals
-        integer i2,i3
+        REAL vec(n2,n3)
+        ! locals
+        INTEGER i2,i3
 
         do i2=1,n2
@@ -1634,11 +1634,11 @@
 
         ! inputs
-        integer n1,n2,n3,n4
-        real vec(n2,n3)
-        integer i1,i4
+        INTEGER n1,n2,n3,n4
+        REAL vec(n2,n3)
+        INTEGER i1,i4
         ! inout
-        real var(n1,n2,n3,n4)
-        ! locals
-        integer i2,i3
+        REAL var(n1,n2,n3,n4)
+        ! locals
+        INTEGER i2,i3
 
        do i2=1,n2
@@ -1656,11 +1656,11 @@
 
         ! inputs
-        integer n1,n2,n3,n4
-        real vec(n1,n2)
-        integer i3,i4
+        INTEGER n1,n2,n3,n4
+        REAL vec(n1,n2)
+        INTEGER i3,i4
         ! inout
-        real var(n1,n2,n3,n4)
-        ! locals
-        integer i1,i2
+        REAL var(n1,n2,n3,n4)
+        ! locals
+        INTEGER i1,i2
 
        do i1=1,n1
@@ -1677,11 +1677,11 @@
 
         ! inputs
-        integer n1,n2,n3
-        real vec(n2,n3)
-        integer i1
+        INTEGER n1,n2,n3
+        REAL vec(n2,n3)
+        INTEGER i1
         ! inout
-        real var(n1,n2,n3)
-        ! locals
-        integer i2,i3
+        REAL var(n1,n2,n3)
+        ! locals
+        INTEGER i2,i3
 
        do i2=1,n2
@@ -1701,6 +1701,6 @@
 
         ! input:
-          integer n,m,ni,ib,ie
-        real x(ni,n,m)
+          INTEGER n,m,ni,ib,ie
+        REAL x(ni,n,m)
         character*(*) err_msg ! message d''erreur à afficher
 
@@ -1708,17 +1708,17 @@
 
         ! locals        
-        integer i,j,ixt
+        INTEGER i,j,ixt
 
       do i=ib,ie
        do j=1,m
         do ixt=1,ni
-         if ((x(ixt,i,j).gt.-borne).and. &
+         IF ((x(ixt,i,j).gt.-borne).AND. &
                   (x(ixt,i,j).lt.borne)) THEN
-         else !if ((x(ixt,i,j).gt.-borne).and.
+         else !if ((x(ixt,i,j).gt.-borne).AND.
             WRITE(*,*) 'erreur detectee par iso_verif_nonNAN:'
             WRITE(*,*) err_msg
             WRITE(*,*) 'x,ixt,i,j=',x(ixt,i,j),ixt,i,j
             stop
-         endif  !if ((x(ixt,i,j).gt.-borne).and.
+         endif  !if ((x(ixt,i,j).gt.-borne).AND.
         enddo !do ixt=1,ni
        enddo !do j=1,m
@@ -1738,26 +1738,26 @@
                  xt,q,err_msg,ni,n,m,ib,ie)
 
-        use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
+        USE isotopes_mod, ONLY: ridicule,tnat,iso_HDO
           IMPLICIT NONE
 
           ! inputs   
-          integer n,m,ni,ib,ie
-          real q(n,m)
-          real xt(ni,n,m)
+          INTEGER n,m,ni,ib,ie
+          REAL q(n,m)
+          REAL xt(ni,n,m)
           character*(*) err_msg
 
         ! locals
-        integer iso_verif_aberrant_nostop_loc
-        integer i,j
-        integer ifaux,jfaux
+        INTEGER iso_verif_aberrant_nostop_loc
+        INTEGER i,j
+        INTEGER ifaux,jfaux
         !real deltaD
 
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
         iso_verif_aberrant_nostop_loc=0
         do i=ib,ie
          do j=1,m
-          if (q(i,j).gt.ridicule) THEN
-            if (((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
-                         .gt.deltalim).or. &
+          IF (q(i,j).gt.ridicule) THEN
+            IF (((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
+                         .gt.deltalim).OR. &
                 ((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
                          .lt.deltaDmin)) THEN
@@ -1770,5 +1770,5 @@
         enddo !do i=1,n
 
-        if (iso_verif_aberrant_nostop_loc.eq.1) THEN
+        IF (iso_verif_aberrant_nostop_loc.EQ.1) THEN
           WRITE(*,*) 'erreur detectee par iso_verif_aberrant_par2D:'
           WRITE(*,*) err_msg
@@ -1791,20 +1791,20 @@
 
           ! inputs 
-          integer n,m,ni,ib,ie
-          real q(n,m)
-          real xt(ni,n,m)
+          INTEGER n,m,ni,ib,ie
+          REAL q(n,m)
+          REAL xt(ni,n,m)
           character*(*) err_msg
 
         ! locals
-        integer iso_verif_egalite_nostop_loc
-        integer i,j
-        integer ifaux,jfaux
-
-        if (iso_eau.gt.0) THEN
+        INTEGER iso_verif_egalite_nostop_loc
+        INTEGER i,j
+        INTEGER ifaux,jfaux
+
+        IF (iso_eau.gt.0) THEN
         iso_verif_egalite_nostop_loc=0
         do i=ib,ie
          do j=1,m
-          if (abs(q(i,j)-xt(iso_eau,i,j)).gt.errmax) THEN
-           if (abs((q(i,j)-xt(iso_eau,i,j))/ &
+          IF (abs(q(i,j)-xt(iso_eau,i,j)).gt.errmax) THEN
+           IF (abs((q(i,j)-xt(iso_eau,i,j))/ &
                  max(max(abs(q(i,j)),abs(xt(iso_eau,i,j))),1e-18)) &
                  .gt.errmaxrel) THEN
@@ -1817,5 +1817,5 @@
         enddo !do i=1,n
 
-        if (iso_verif_egalite_nostop_loc.eq.1) THEN
+        IF (iso_verif_egalite_nostop_loc.EQ.1) THEN
           WRITE(*,*) 'erreur detectee par iso_verif_egalite_vect2D:'
           WRITE(*,*) err_msg
@@ -1832,5 +1832,5 @@
       function iso_verif_traceur_choix_nostop(x,err_msg, &
              errmax,errmaxrel,ridicule_trac,deltalimtrac)
-        use isotopes_mod, ONLY: iso_HDO
+        USE isotopes_mod, ONLY: iso_HDO
         IMPLICIT NONE
         ! vérifier des choses sur les traceurs
@@ -1839,10 +1839,10 @@
        
        ! inputs
-       real x(ntraciso)
+       REAL x(ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
-       real errmax,errmaxrel,ridicule_trac,deltalimtrac
+       REAL errmax,errmaxrel,ridicule_trac,deltalimtrac
 
        ! output
-       integer iso_verif_traceur_choix_nostop
+       INTEGER iso_verif_traceur_choix_nostop
 
        ! locals
@@ -1855,24 +1855,24 @@
 
         ! verif noNaN
-        if (iso_verif_traceur_noNaN_nostop(x,err_msg).eq.1) THEN
+        IF (iso_verif_traceur_noNaN_nostop(x,err_msg).EQ.1) THEN
              iso_verif_traceur_choix_nostop=1
         endif 
         
         ! verif masse
-        if (iso_verif_tracm_choix_nostop(x,err_msg, &
-                 errmax,errmaxrel).eq.1) THEN
+        IF (iso_verif_tracm_choix_nostop(x,err_msg, &
+                 errmax,errmaxrel).EQ.1) THEN
              iso_verif_traceur_choix_nostop=1
         endif              
 
         ! verif deltaD
-        if (iso_HDO.gt.0) THEN
-        if (iso_verif_tracdD_choix_nostop(x,err_msg, &
-                 ridicule_trac,deltalimtrac).eq.1) THEN
+        IF (iso_HDO.gt.0) THEN
+        IF (iso_verif_tracdD_choix_nostop(x,err_msg, &
+                 ridicule_trac,deltalimtrac).EQ.1) THEN
              iso_verif_traceur_choix_nostop=1
         endif  
         endif !if (iso_HDO.gt.0) THEN
         ! verif pas aberramment negatif
-        if (iso_verif_tracpos_choix_nostop(x,err_msg, &
-                 1e-5).eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(x,err_msg, &
+                 1e-5).EQ.1) THEN
              iso_verif_traceur_choix_nostop=1
         endif 
@@ -1890,10 +1890,10 @@
        
        ! inputs
-       real x(ntraciso)
+       REAL x(ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
-       real errmax,errmaxrel,ridicule_trac,deltalimtrac
+       REAL errmax,errmaxrel,ridicule_trac,deltalimtrac
 
        ! output
-       integer iso_verif_tracnps_choix_nostop
+       INTEGER iso_verif_tracnps_choix_nostop
 
        ! locals
@@ -1905,18 +1905,18 @@
 
         ! verif noNaN
-        if (iso_verif_traceur_noNaN_nostop(x,err_msg).eq.1) THEN
+        IF (iso_verif_traceur_noNaN_nostop(x,err_msg).EQ.1) THEN
              iso_verif_tracnps_choix_nostop=1
         endif 
         
         ! verif masse
-        if (iso_verif_tracm_choix_nostop(x,err_msg, &
-                 errmax,errmaxrel).eq.1) THEN
+        IF (iso_verif_tracm_choix_nostop(x,err_msg, &
+                 errmax,errmaxrel).EQ.1) THEN
              iso_verif_tracnps_choix_nostop=1
         endif              
 
         ! verif deltaD
-        if (iso_HDO.gt.0) THEN
-        if (iso_verif_tracdD_choix_nostop(x,err_msg, &
-                 ridicule_trac,deltalimtrac).eq.1) THEN
+        IF (iso_HDO.gt.0) THEN
+        IF (iso_verif_tracdD_choix_nostop(x,err_msg, &
+                 ridicule_trac,deltalimtrac).EQ.1) THEN
              iso_verif_tracnps_choix_nostop=1
         endif   
@@ -1925,18 +1925,18 @@
 
         function iso_verif_tracpos_choix_nostop(x,err_msg,seuil)
-        use isotopes_mod, ONLY: isoName
+        USE isotopes_mod, ONLY: isoName
         IMPLICIT NONE
 
         ! inputs
-       real x(ntraciso)
+       REAL x(ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
-       real seuil
+       REAL seuil
 
        ! output
-       integer iso_verif_tracpos_choix_nostop
+       INTEGER iso_verif_tracpos_choix_nostop
 
        ! locals
-       integer lnblnk
-       integer iiso,ixt
+       INTEGER lnblnk
+       INTEGER iiso,ixt
        !integer iso_verif_positif_choix_nostop
 
@@ -1944,6 +1944,6 @@
 
        do ixt=niso+1,ntraciso
-          if (iso_verif_positif_choix_nostop(x(ixt),seuil,err_msg// &
-                 ', verif positif, iso'//TRIM(isoName(ixt))).eq.1) THEN
+          IF (iso_verif_positif_choix_nostop(x(ixt),seuil,err_msg// &
+                 ', verif positif, iso'//TRIM(isoName(ixt))).EQ.1) THEN
             iso_verif_tracpos_choix_nostop=1
           endif
@@ -1954,18 +1954,18 @@
 
         function iso_verif_traceur_noNaN_nostop(x,err_msg)
-        use isotopes_mod, ONLY: isoName
+        USE isotopes_mod, ONLY: isoName
         IMPLICIT NONE
 
         ! on vérifie juste que pas NaN
         ! inputs
-       real x(ntraciso)
+       REAL x(ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
 
        ! output
-       integer iso_verif_traceur_noNaN_nostop
+       INTEGER iso_verif_traceur_noNaN_nostop
 
        ! locals
-       integer lnblnk
-       integer iiso,ixt
+       INTEGER lnblnk
+       INTEGER iiso,ixt
        !integer iso_verif_nonaN_nostop
 
@@ -1974,7 +1974,7 @@
         do ixt=niso+1,ntraciso
 !          WRITE(*,*) 'iso_verif_traceurs 154: iiso,ixt=',iiso,ixt
-          if (iso_verif_noNaN_nostop(x(ixt),err_msg// &
+          IF (iso_verif_noNaN_nostop(x(ixt),err_msg// &
                  ', verif trac no NaN, iso'//TRIM(isoName(ixt))) &
-                 .eq.1) THEN
+                 .EQ.1) THEN
             iso_verif_traceur_noNaN_nostop=1
           endif
@@ -1986,20 +1986,20 @@
                  errmaxin,errmaxrelin)
 
-        use isotopes_mod, ONLY: ridicule,isoName
+        USE isotopes_mod, ONLY: ridicule,isoName
         ! on vérifie juste bilan de masse
         IMPLICIT NONE
         
         ! inputs
-        real x(ntraciso)
-        character*(*) err_msg ! message d''erreur à afficher
-        real errmaxin,errmaxrelin
+        REAL x(ntraciso)
+        character*(*) err_msg ! message d''erreur à afficher
+        REAL errmaxin,errmaxrelin
 
         ! output
-        integer iso_verif_tracm_choix_nostop
+        INTEGER iso_verif_tracm_choix_nostop
 
        ! locals
        !integer iso_verif_egalite_choix_nostop
-       integer iiso,izone,ixt
-       real xtractot
+       INTEGER iiso,izone,ixt
+       REAL xtractot
 
        iso_verif_tracm_choix_nostop=0
@@ -2013,8 +2013,8 @@
           enddo
 
-          if (iso_verif_egalite_choix_nostop(xtractot,x(iiso), &
+          IF (iso_verif_egalite_choix_nostop(xtractot,x(iiso), &
               err_msg//', verif trac egalite1, iso '// &
               TRIM(isoName(iiso)), &
-              errmaxin,errmaxrelin).eq.1) THEN
+              errmaxin,errmaxrelin).EQ.1) THEN
             WRITE(*,*) 'iso_verif_traceur 202: x=',x
 !            WRITE(*,*) 'xtractot=',xtractot
@@ -2027,5 +2027,5 @@
 
           ! verif ajoutée le 19 fev 2011
-          if ((abs(xtractot).lt.ridicule**2).and. &
+          IF ((abs(xtractot).lt.ridicule**2).AND. &
                  (abs(x(iiso)).gt.ridicule)) THEN
             WRITE(*,*) err_msg,', verif masse traceurs, iso ', &
@@ -2043,31 +2043,31 @@
 
         USE isotopes_mod, ONLY: iso_eau, iso_HDO
-        use isotrac_mod, ONLY: strtrac
+        USE isotrac_mod, ONLY: strtrac
         ! on vérifie juste deltaD
         IMPLICIT NONE
                 
         ! inputs
-        real x(ntraciso)
-        character*(*) err_msg ! message d''erreur à afficher
-        real ridicule_trac,deltalimtrac
+        REAL x(ntraciso)
+        character*(*) err_msg ! message d''erreur à afficher
+        REAL ridicule_trac,deltalimtrac
 
         ! output
-        integer iso_verif_tracdD_choix_nostop        
+        INTEGER iso_verif_tracdD_choix_nostop
 
        ! locals
-       integer izone,ieau,ixt
+       INTEGER izone,ieau,ixt
        !integer iso_verif_aberrant_choix_nostop
 
         iso_verif_tracdD_choix_nostop=0
 
-        if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) THEN
+        IF ((iso_eau.gt.0).AND.(iso_HDO.gt.0)) THEN
         do izone=1,nzone
              ieau=itZonIso(izone,iso_eau)
              ixt=itZonIso(izone,iso_HDO)
 
-             if (iso_verif_aberrant_choix_nostop(x(ixt),x(ieau), &
+             IF (iso_verif_aberrant_choix_nostop(x(ixt),x(ieau), &
                  ridicule_trac,deltalimtrac,err_msg// &
                  ', verif trac no aberrant zone '//strtrac(izone)) &
-                 .eq.1) THEN
+                 .EQ.1) THEN
                iso_verif_tracdD_choix_nostop=1
              endif
@@ -2078,5 +2078,5 @@
 !             endif
         enddo !do izone=1,nzone
-       endif ! if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) THEN
+       endif ! if ((iso_eau.gt.0).AND.(iso_HDO.gt.0)) THEN
        END FUNCTION iso_verif_tracdD_choix_nostop
 
@@ -2123,5 +2123,5 @@
 
       SUBROUTINE iso_verif_traceur(x,err_msg)
-        use isotrac_mod, ONLY: ridicule_trac
+        USE isotrac_mod, ONLY: ridicule_trac
         IMPLICIT NONE
         ! vérifier des choses sur les traceurs
@@ -2133,5 +2133,5 @@
        
        ! inputs
-       real x(ntraciso)
+       REAL x(ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
 
@@ -2139,7 +2139,7 @@
        !integer iso_verif_traceur_choix_nostop  
 
-        if (iso_verif_traceur_choix_nostop(x,err_msg, &
+        IF (iso_verif_traceur_choix_nostop(x,err_msg, &
              errmax,errmaxrel,ridicule_trac,deltalimtrac) &
-             .eq.1) THEN
+             .EQ.1) THEN
                 stop
         endif
@@ -2150,5 +2150,5 @@
       SUBROUTINE iso_verif_traceur_retourne3D(x,n1,n2,n3, &
                  i1,i2,i3,err_msg)
-        use isotrac_mod, ONLY: ridicule_trac
+        USE isotrac_mod, ONLY: ridicule_trac
 
         IMPLICIT NONE
@@ -2161,18 +2161,18 @@
        
        ! inputs
-       integer n1,n2,n3
-       real x(n1,n2,n3,ntraciso)
+       INTEGER n1,n2,n3
+       REAL x(n1,n2,n3,ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
-       integer i1,i2,i3
+       INTEGER i1,i2,i3
 
        ! locals
        !integer iso_verif_traceur_choix_nostop  
-       real xiso(ntraciso)
+       REAL xiso(ntraciso)
 
         CALL select_dim4_from4D(n1,n2,n3,ntraciso, &
             x,xiso,i1,i2,i3)
-        if (iso_verif_traceur_choix_nostop(xiso,err_msg, &
+        IF (iso_verif_traceur_choix_nostop(xiso,err_msg, &
              errmax,errmaxrel,ridicule_trac,deltalimtrac) &
-             .eq.1) THEN
+             .EQ.1) THEN
                 stop
         endif
@@ -2182,5 +2182,5 @@
         SUBROUTINE iso_verif_traceur_retourne4D(x,n1,n2,n3,n4, &
                  i1,i2,i3,i4,err_msg)
-        use isotrac_mod, ONLY: ridicule_trac
+        USE isotrac_mod, ONLY: ridicule_trac
 
         IMPLICIT NONE
@@ -2193,18 +2193,18 @@
        
        ! inputs
-       integer n1,n2,n3,n4
-       real x(n1,n2,n3,n4,ntraciso)
+       INTEGER n1,n2,n3,n4
+       REAL x(n1,n2,n3,n4,ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
-       integer i1,i2,i3,i4
+       INTEGER i1,i2,i3,i4
 
        ! locals
        !integer iso_verif_traceur_choix_nostop  
-       real xiso(ntraciso)
+       REAL xiso(ntraciso)
 
         CALL select_dim5_from5D(n1,n2,n3,n4,ntraciso, &
             x,xiso,i1,i2,i3,i4)
-        if (iso_verif_traceur_choix_nostop(xiso,err_msg, &
+        IF (iso_verif_traceur_choix_nostop(xiso,err_msg, &
              errmax,errmaxrel,ridicule_trac,deltalimtrac) &
-             .eq.1) THEN
+             .EQ.1) THEN
                 stop
         endif
@@ -2215,5 +2215,5 @@
       SUBROUTINE iso_verif_traceur_retourne2D(x,n1,n2, &
                  i1,i2,err_msg)
-        use isotrac_mod, ONLY: ridicule_trac
+        USE isotrac_mod, ONLY: ridicule_trac
         IMPLICIT NONE
         ! vérifier des choses sur les traceurs
@@ -2225,18 +2225,18 @@
        
        ! inputs
-       integer n1,n2
-       real x(n1,n2,ntraciso)
+       INTEGER n1,n2
+       REAL x(n1,n2,ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
-       integer i1,i2
+       INTEGER i1,i2
 
        ! locals
        !integer iso_verif_traceur_choix_nostop  
-       real xiso(ntraciso)
+       REAL xiso(ntraciso)
 
         CALL select_dim3_from3D(n1,n2,ntraciso, &
             x,xiso,i1,i2)
-        if (iso_verif_traceur_choix_nostop(xiso,err_msg, &
+        IF (iso_verif_traceur_choix_nostop(xiso,err_msg, &
              errmax,errmaxrel,ridicule_trac,deltalimtrac) &
-             .eq.1) THEN
+             .EQ.1) THEN
                 stop
         endif
@@ -2255,12 +2255,12 @@
        
        ! inputs
-       integer n,m
-       real x(ntraciso,n,m)
+       INTEGER n,m
+       REAL x(ntraciso,n,m)
        character*(*) err_msg ! message d''erreur à afficher
 
        ! locals
-       logical iso_verif_traceur_nostop
-       integer i,j,ixt,iiso,izone,ieau
-       integer ifaux,jfaux,ixtfaux
+       LOGICAL iso_verif_traceur_nostop
+       INTEGER i,j,ixt,iiso,izone,ieau
+       INTEGER ifaux,jfaux,ixtfaux
        
        CALL iso_verif_traceur_noNaN_vect(x,n,m,err_msg)
@@ -2270,5 +2270,5 @@
 
         ! verif deltaD: iso_verif_tracdD_choix_nostop    
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
         CALL iso_verif_tracdd_vect(x,n,m,err_msg)
         endif !if (iso_HDO.gt.0) THEN
@@ -2289,12 +2289,12 @@
        
        ! inputs
-       integer n,m
-       real x(ntraciso,n,m)
+       INTEGER n,m
+       REAL x(ntraciso,n,m)
        character*(*) err_msg ! message d''erreur à afficher
 
        ! locals
-       logical iso_verif_traceur_nostop
-       integer i,j,ixt,iiso,izone,ieau
-       integer ifaux,jfaux,ixtfaux
+       LOGICAL iso_verif_traceur_nostop
+       INTEGER i,j,ixt,iiso,izone,ieau
+       INTEGER ifaux,jfaux,ixtfaux
        
        CALL iso_verif_traceur_noNaN_vect(x,n,m,err_msg)
@@ -2304,5 +2304,5 @@
 
         ! verif deltaD: iso_verif_tracdD_choix_nostop    
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
         CALL iso_verif_tracdd_vect(x,n,m,err_msg)
         endif !if (iso_HDO.gt.0) THEN
@@ -2314,12 +2314,12 @@
        
        ! inputs
-       integer n,m
-       real x(ntraciso,n,m)
+       INTEGER n,m
+       REAL x(ntraciso,n,m)
        character*(*) err_msg ! message d''erreur à afficher
 
        ! locals
-       logical iso_verif_traceur_nostop
-       integer i,j,ixt,iiso
-       integer ifaux,jfaux,ixtfaux
+       LOGICAL iso_verif_traceur_nostop
+       INTEGER i,j,ixt,iiso
+       INTEGER ifaux,jfaux,ixtfaux
 
 
@@ -2329,10 +2329,10 @@
         do i=1,n
         do ixt=niso+1,ntraciso
-          if ((x(ixt,i,j).gt.-borne).and.(x(ixt,i,j).lt.borne)) THEN
-          else !if ((x.gt.-borne).and.(x.lt.borne)) THEN
+          IF ((x(ixt,i,j).gt.-borne).AND.(x(ixt,i,j).lt.borne)) THEN
+          else !if ((x.gt.-borne).AND.(x.lt.borne)) THEN
               iso_verif_traceur_nostop=.TRUE.
               ifaux=i
               jfaux=i
-          endif !if ((x.gt.-borne).and.(x.lt.borne)) THEN
+          endif !if ((x.gt.-borne).AND.(x.lt.borne)) THEN
         enddo !do ixt=niso+1,ntraciso
         enddo ! do i=1,n
@@ -2340,5 +2340,5 @@
         
 
-        if (iso_verif_traceur_nostop) THEN
+        IF (iso_verif_traceur_nostop) THEN
             WRITE(*,*) 'erreur detectée par iso_verif_nonNAN ', &
                  'dans iso_verif_traceur_vect'
@@ -2354,19 +2354,19 @@
         SUBROUTINE iso_verif_trac_masse_vect(x,n,m,err_msg, &
                   errmax,errmaxrel)
-        use isotopes_mod, ONLY: isoName
+        USE isotopes_mod, ONLY: isoName
         IMPLICIT NONE
        
         ! inputs
-       integer n,m
-       real x(ntraciso,n,m)
+       INTEGER n,m
+       REAL x(ntraciso,n,m)
        character*(*) err_msg ! message d''erreur à afficher
-       real errmax,errmaxrel
+       REAL errmax,errmaxrel
 
        ! locals
-       logical iso_verif_traceur_nostop
-       integer i,j,ixt,iiso,izone
-       integer ifaux,jfaux,ixtfaux
-       real xtractot(n,m)
-       real xiiso(n,m)
+       LOGICAL iso_verif_traceur_nostop
+       INTEGER i,j,ixt,iiso,izone
+       INTEGER ifaux,jfaux,ixtfaux
+       REAL xtractot(n,m)
+       REAL xiiso(n,m)
 
         do iiso=1,niso        
@@ -2393,20 +2393,20 @@
 
         SUBROUTINE iso_verif_tracdd_vect(x,n,m,err_msg)
-        use isotopes_mod, ONLY: iso_HDO,iso_eau
-        use isotrac_mod, ONLY: strtrac
+        USE isotopes_mod, ONLY: iso_HDO,iso_eau
+        USE isotrac_mod, ONLY: strtrac
         IMPLICIT NONE
        
         ! inputs
-       integer n,m
-       real x(ntraciso,n,m)
+       INTEGER n,m
+       REAL x(ntraciso,n,m)
        character*(*) err_msg ! message d''erreur à afficher
 
        ! locals
-       integer i,j,iiso,izone,ieau,ixt
-       real xiiso(niso,n,m)
-       real xeau(n,m)
-       integer lnblnk
-
-       if (iso_HDO.gt.0) THEN
+       INTEGER i,j,iiso,izone,ieau,ixt
+       REAL xiiso(niso,n,m)
+       REAL xeau(n,m)
+       INTEGER lnblnk
+
+       IF (iso_HDO.gt.0) THEN
         do izone=1,nzone
           ieau=itZonIso(izone,iso_eau)
@@ -2437,13 +2437,13 @@
 
        ! inputs
-       integer n,m
-       real x(ntraciso,n,m)
+       INTEGER n,m
+       REAL x(ntraciso,n,m)
        character*(*) err_msg ! message d''erreur à afficher
-       real seuil
+       REAL seuil
 
        ! locals
-       integer i,j,ixt
-       logical iso_verif_traceur_nostop
-       integer ifaux,jfaux,ixtfaux
+       INTEGER i,j,ixt
+       LOGICAL iso_verif_traceur_nostop
+       INTEGER ifaux,jfaux,ixtfaux
 
         iso_verif_traceur_nostop=.FALSE.
@@ -2451,5 +2451,5 @@
         do i=1,n
         do ixt=niso+1,ntraciso
-          if (x(ixt,i,j).lt.-seuil) THEN
+          IF (x(ixt,i,j).lt.-seuil) THEN
               ifaux=i
               jfaux=j
